## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbElementElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbElementElement

    public class JaxbElementElement

extends Object

Java class for element-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="element-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="type" type="{http://www.hibernate.org/xsd/hibernate-mapping}type-element" minOccurs="0"/>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="precision" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="scale" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `column`
`protected List<Object>` `columnOrFormula`
`protected String` `formula`
`protected String` `length`
`protected String` `node`
`protected Boolean` `notNull`
`protected String` `precision`
`protected String` `scale`
`protected JaxbTypeElement` `type`
`protected String` `typeAttribute`
`protected Boolean` `unique`

Constructor Summary
`JaxbElementElement()`

Method Summary
`String` `getColumn()` Gets the value of the column property.
`List<Object>` `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` `getFormula()` Gets the value of the formula property.
`String` `getLength()` Gets the value of the length property.
`String` `getNode()` Gets the value of the node property.
`String` `getPrecision()` Gets the value of the precision property.
`String` `getScale()` Gets the value of the scale property.
`JaxbTypeElement` `getType()` Gets the value of the type property.
`String` `getTypeAttribute()` Gets the value of the typeAttribute property.
`boolean` `isNotNull()` Gets the value of the notNull property.
`boolean` `isUnique()` Gets the value of the unique property.
`void` `setColumn(String value)` Sets the value of the column property.
`void` `setFormula(String value)` Sets the value of the formula property.
`void` `setLength(String value)` Sets the value of the length property.
`void` `setNode(String value)` Sets the value of the node property.
`void` `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` `setPrecision(String value)` Sets the value of the precision property.
`void` `setScale(String value)` Sets the value of the scale property.
`void` `setType(JaxbTypeElement value)` Sets the value of the type property.
`void` `setTypeAttribute(String value)` Sets the value of the typeAttribute property.
`void` `setUnique(Boolean value)` Sets the value of the unique property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnOrFormula

    protected List<Object> columnOrFormula

### type

    protected JaxbTypeElement type

### column

    protected String column

### formula

    protected String formula

### length

    protected String length

### node

    protected String node

### notNull

    protected Boolean notNull

### precision

    protected String precision

### scale

    protected String scale

### typeAttribute

    protected String typeAttribute

### unique

    protected Boolean unique

Constructor Detail

### JaxbElementElement

    public JaxbElementElement()

Method Detail

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `JaxbColumnElement`

### getType

    public JaxbTypeElement getType()

  Gets the value of the type property.

  Returns:
    possible object is `JaxbTypeElement`

### setType

    public void setType(JaxbTypeElement value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeElement`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isNotNull

    public boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPrecision

    public String getPrecision()

  Gets the value of the precision property.

  Returns:
    possible object is `String`

### setPrecision

    public void setPrecision(String value)

  Sets the value of the precision property.

  Parameters:
    `value` - allowed object is `String`

### getScale

    public String getScale()

  Gets the value of the scale property.

  Returns:
    possible object is `String`

### setScale

    public void setScale(String value)

  Sets the value of the scale property.

  Parameters:
    `value` - allowed object is `String`

### getTypeAttribute

    public String getTypeAttribute()

  Gets the value of the typeAttribute property.

  Returns:
    possible object is `String`

### setTypeAttribute

    public void setTypeAttribute(String value)

  Sets the value of the typeAttribute property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.